Bug 1519591 (CVE-2017-8824) - CVE-2017-8824 kernel: Use-after-free vulnerability in DCCP socket
Summary: CVE-2017-8824 kernel: Use-after-free vulnerability in DCCP socket
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-8824
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1425382 1425384 1425386 1520732 1520764 1520817 1520818 1526270 1526271 1526272 1526273 1526274 1530740 1530745 1530746 1530751 1530752
Blocks: 1519592
TreeView+ depends on / blocked
 
Reported: 2017-12-01 00:54 UTC by Adam Mariš
Modified: 2019-09-29 14:26 UTC (History)
55 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free vulnerability was found in DCCP socket code affecting the Linux kernel since 2.6.16. This vulnerability could allow an attacker to their escalate privileges.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:32:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0399 normal SHIPPED_LIVE Important: kernel security and bug fix update 2018-03-07 00:38:26 UTC
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 08:11:36 UTC
Red Hat Product Errata RHSA-2018:1062 None None None 2018-04-10 09:34:39 UTC
Red Hat Product Errata RHSA-2018:1130 None None None 2018-04-17 16:22:16 UTC
Red Hat Product Errata RHSA-2018:1170 None None None 2018-04-17 15:31:36 UTC
Red Hat Product Errata RHSA-2018:1216 None None None 2018-04-24 15:15:31 UTC
Red Hat Product Errata RHSA-2018:1319 None None None 2018-05-08 18:59:29 UTC
Red Hat Product Errata RHSA-2018:3822 None None None 2018-12-12 14:53:49 UTC

Description Adam Mariš 2017-12-01 00:54:06 UTC
Use-after-free vulnerability was found in DCCP socket code affecting kernel since at least 2.6.16, potentially allowing attacker to cause privilege escalation.

References:

http://www.openwall.com/lists/oss-security/2017/12/05/1
 
http://www.spinics.net/lists/netdev/msg469985.html

http://lists.openwall.net/netdev/2017/12/04/224

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=69c64866ce072dea1d1e59a0d61e0f66c0dffb76

Comment 1 Adam Mariš 2017-12-01 00:54:18 UTC
Acknowledgments:

Name: Mohamed Ghannam

Comment 5 Wade Mealing 2017-12-05 05:45:01 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1520764]

Comment 6 Wade Mealing 2017-12-05 09:00:52 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, 7, Red Hat Enterprise MRG 2 and real-time kernels. Future updates for the respective releases may address this issue.

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 for ARM and Red Hat Enterprise Linux 7 for Power LE.

Comment 21 errata-xmlrpc 2018-03-06 19:35:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Extended Update Support

Via RHSA-2018:0399 https://access.redhat.com/errata/RHSA-2018:0399

Comment 22 errata-xmlrpc 2018-04-10 08:11:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0676 https://access.redhat.com/errata/RHSA-2018:0676

Comment 23 errata-xmlrpc 2018-04-10 09:34:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1062 https://access.redhat.com/errata/RHSA-2018:1062

Comment 24 errata-xmlrpc 2018-04-17 15:31:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2018:1170 https://access.redhat.com/errata/RHSA-2018:1170

Comment 25 errata-xmlrpc 2018-04-17 16:21:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Extended Update Support

Via RHSA-2018:1130 https://access.redhat.com/errata/RHSA-2018:1130

Comment 26 errata-xmlrpc 2018-04-24 15:15:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Advanced Update Support
  Red Hat Enterprise Linux 7.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.2 Telco Extended Update Support

Via RHSA-2018:1216 https://access.redhat.com/errata/RHSA-2018:1216

Comment 27 errata-xmlrpc 2018-05-08 18:59:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1319 https://access.redhat.com/errata/RHSA-2018:1319

Comment 28 errata-xmlrpc 2018-12-12 14:53:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5 Extended Lifecycle Support

Via RHSA-2018:3822 https://access.redhat.com/errata/RHSA-2018:3822


Note You need to log in before you can comment on or make changes to this bug.